.box {
    width: 700px;
    height: 700px;
    margin: 0 auto;
    position: relative;
    animation-name: box;
    animation-duration: 11s;
}

.front {
    background: red;
    animation-name: front;
    animation-duration: 12s;
}

.back {
    background: blue;
    animation-name: back;
    animation-duration: 8s;
}

.animation {
    transform-style: preserve-3d;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-fill-mode: backwards;
    animation-direction: normal;
}

.settings {
    width: 200px;
    height: 200px;
    color: white;
    text-align: center;
    font-size: 25px;
    position: absolute;
    margin: auto;
    right: 0;
    left: 0;
    top: 0;
    bottom: 0;
}

.front::before {
    content: '';
    display: block;
    width: 200px;
    height: 200px;
    background: inherit;
    position: absolute;
    transform: translateZ(1px);
}

.back::before {
    content: '';
    display: block;
    width: 200px;
    height: 200px;
    background-color: inherit;
    position: absolute;
    transform: translateZ(-1px);
}

@keyframes box {
    from {
        transform: rotateY(0) translateY(0);
    }
    to {
        transform: rotateY(360deg) translateY(0);
    }
}

@keyframes front {
    from {
        transform: rotatez(0) translateZ(-25px);
    }
    to {
        transform: rotateZ(360deg) translateZ(-25px);

    }
}

@keyframes back {
    from {
        transform: rotatez(0) translateZ(25px);
    }
    to {
        transform: rotateZ(360deg) translateZ(25px);

    }
}

